Name:         viadp310msr
Version:      1.0
Release:      0
License:      GPL
Provides:     viadp310msr
PreReq:       %insserv_prereq
Autoreqprov:  on
Group:        System
Summary:      Reconfigure CPU pipelines on VIA DP310 boards
Source:       http://www.logix.cz/michal/devel/viadp310msr/viadp310msr-%{version}.tar.gz
URL:          http://www.logix.cz/michal/devel/viadp310msr
Prefix:       /usr
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
VIA DP310 boards sometimes come with an old BIOS that 
configures the CPU pipeline length to a single instruction
thus degrading the system performance significantly. 

This simple tool reconfigures the pipeline to 
the full length of 12 instructions.

Depends on 'msr.ko' kernel module providing device /dev/cpu/<CPU>/msr

Authors:
--------
    Michal Ludvig <michal@logix.cz>

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/usr/sbin
install -m 0755 boot.viadp310msr $RPM_BUILD_ROOT/etc/init.d/boot.viadp310msr
install -m 0755 viadp310msr $RPM_BUILD_ROOT/usr/sbin/viadp310msr

%post
%{insserv boot.viadp310msr}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%config /etc/init.d/boot.viadp310msr
/usr/sbin/viadp310msr

